## r-bioc-gosemsim 2.14.1

=== DESCRIPTION ===
Package: GOSemSim
Type: Package
Title: GO-terms Semantic Similarity Measures
Version: 2.14.1
Authors@R: c( person(given = "Guangchuang", family = "Yu",             email = "guangchuangyu@gmail.com", role  = c("aut", "cre")),
              person(given = "Alexey",      family = "Stukalov",       email = "astukalov@gmail.com",     role  = "ctb"),
              person(given = "Chuanle",     family = "Xiao",           email = "xiaochuanle@126.com",     role  = "ctb"),
              person(given = "Lluís",       family = "Revilla Sancho", email = "lluis.revilla@gmail.com", role  = "ctb")
             )
Maintainer: Guangchuang Yu <guangchuangyu@gmail.com>
Description: The semantic comparisons of Gene Ontology (GO) annotations provide
    quantitative ways to compute similarities between genes and gene groups,
    and have became important basis for many bioinformatics analysis approaches.
    GOSemSim is an R package for semantic similarity computation among GO terms,
    sets of GO terms, gene products and gene clusters. GOSemSim implemented five
    methods proposed by Resnik, Schlicker, Jiang, Lin and Wang respectively.
Depends: R (>= 3.4.0)
LinkingTo: Rcpp
Imports: AnnotationDbi, GO.db, methods, utils
Suggests: AnnotationHub, BiocManager, clusterProfiler, DOSE, knitr,
        org.Hs.eg.db, prettydoc, testthat
VignetteBuilder: knitr
ByteCompile: true
License: Artistic-2.0
Encoding: UTF-8
URL: https://guangchuangyu.github.io/software/GOSemSim
BugReports: https://github.com/YuLab-SMU/GOSemSim/issues
Packaged: 2020-07-25 21:52:19 UTC; biocbuild
biocViews: Annotation, GO, Clustering, Pathways, Network, Software
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/GOSemSim
git_branch: RELEASE_3_11
git_last_commit: 7f4b8a1
git_last_commit_date: 2020-07-25
Date/Publication: 2020-07-25
NeedsCompilation: yes
Author: Guangchuang Yu [aut, cre],
  Alexey Stukalov [ctb],
  Chuanle Xiao [ctb],
  Lluís Revilla Sancho [ctb]

=== debian/changelog ===
r-bioc-gosemsim (2.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 28 Jul 2020 09:27:29 +0200

r-bioc-gosemsim (2.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 09:38:40 +0200

r-bioc-gosemsim (2.12.1-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 04 Apr 2020 07:32:12 +0200

r-bioc-gosemsim (2.12.1-1) unstable; urgency=medium

  * Initial release (closes: #954867)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Mar 2020 17:15:18 +0100

## r-bioc-gosemsim 2.16.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GOSemSim
 Type: Package
 Title: GO-terms Semantic Similarity Measures
-Version: 2.14.1
+Version: 2.16.1
 Authors@R: c( person(given = "Guangchuang", family = "Yu",             email = "guangchuangyu@gmail.com", role  = c("aut", "cre")),
               person(given = "Alexey",      family = "Stukalov",       email = "astukalov@gmail.com",     role  = "ctb"),
               person(given = "Chuanle",     family = "Xiao",           email = "xiaochuanle@126.com",     role  = "ctb"),
@@ -14,7 +14,7 @@
     GOSemSim is an R package for semantic similarity computation among GO terms,
     sets of GO terms, gene products and gene clusters. GOSemSim implemented five
     methods proposed by Resnik, Schlicker, Jiang, Lin and Wang respectively.
-Depends: R (>= 3.4.0)
+Depends: R (>= 3.5.0)
 LinkingTo: Rcpp
 Imports: AnnotationDbi, GO.db, methods, utils
 Suggests: AnnotationHub, BiocManager, clusterProfiler, DOSE, knitr,
@@ -23,16 +23,16 @@
 ByteCompile: true
 License: Artistic-2.0
 Encoding: UTF-8
-URL: https://guangchuangyu.github.io/software/GOSemSim
+URL: https://yulab-smu.top/biomedical-knowledge-mining-book/
 BugReports: https://github.com/YuLab-SMU/GOSemSim/issues
-Packaged: 2020-07-25 21:52:19 UTC; biocbuild
+Packaged: 2020-10-30 00:15:31 UTC; biocbuild
 biocViews: Annotation, GO, Clustering, Pathways, Network, Software
 RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/GOSemSim
-git_branch: RELEASE_3_11
-git_last_commit: 7f4b8a1
-git_last_commit_date: 2020-07-25
-Date/Publication: 2020-07-25
+git_branch: RELEASE_3_12
+git_last_commit: 92f1d56
+git_last_commit_date: 2020-10-29
+Date/Publication: 2020-10-29
 NeedsCompilation: yes
 Author: Guangchuang Yu [aut, cre],
   Alexey Stukalov [ctb],

=== debian/changelog ===
r-bioc-gosemsim (2.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 03 Nov 2020 10:25:38 +0100

r-bioc-gosemsim (2.14.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 08 Sep 2020 21:21:54 +0200

=== debian/control ===
Source: r-bioc-gosemsim
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-annotationdbi,
               r-bioc-go.db,
               r-cran-rcpp
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim.git
Homepage: https://bioconductor.org/packages/GOSemSim/
Rules-Requires-Root: no

Package: r-bioc-gosemsim
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GO-terms semantic similarity measures
 The semantic comparisons of Gene Ontology (GO) annotations provide
 quantitative ways to compute similarities between genes and gene groups,
 and have became important basis for many bioinformatics analysis approaches.
 GOSemSim is an R package for semantic similarity computation among GO terms,
 sets of GO terms, gene products and gene clusters. GOSemSim implemented five
 methods proposed by Resnik, Schlicker, Jiang, Lin and Wang respectively.

## r-bioc-gosemsim 2.20.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Package: GOSemSim
 Type: Package
 Title: GO-terms Semantic Similarity Measures
-Version: 2.16.1
+Version: 2.20.0
 Authors@R: c( person(given = "Guangchuang", family = "Yu",             email = "guangchuangyu@gmail.com", role  = c("aut", "cre")),
               person(given = "Alexey",      family = "Stukalov",       email = "astukalov@gmail.com",     role  = "ctb"),
+              person(given= "Pingfan",      family = "Guo",            email = "1178431277@qq.com",       role  = "ctb"),
               person(given = "Chuanle",     family = "Xiao",           email = "xiaochuanle@126.com",     role  = "ctb"),
               person(given = "Lluís",       family = "Revilla Sancho", email = "lluis.revilla@gmail.com", role  = "ctb")
              )
@@ -18,23 +19,24 @@
 LinkingTo: Rcpp
 Imports: AnnotationDbi, GO.db, methods, utils
 Suggests: AnnotationHub, BiocManager, clusterProfiler, DOSE, knitr,
-        org.Hs.eg.db, prettydoc, testthat
+        rmarkdown, org.Hs.eg.db, prettydoc, testthat, ROCR
 VignetteBuilder: knitr
 ByteCompile: true
 License: Artistic-2.0
 Encoding: UTF-8
 URL: https://yulab-smu.top/biomedical-knowledge-mining-book/
 BugReports: https://github.com/YuLab-SMU/GOSemSim/issues
-Packaged: 2020-10-30 00:15:31 UTC; biocbuild
+Packaged: 2021-10-26 21:33:50 UTC; biocbuild
 biocViews: Annotation, GO, Clustering, Pathways, Network, Software
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.1.9000
 git_url: https://git.bioconductor.org/packages/GOSemSim
-git_branch: RELEASE_3_12
-git_last_commit: 92f1d56
-git_last_commit_date: 2020-10-29
-Date/Publication: 2020-10-29
+git_branch: RELEASE_3_14
+git_last_commit: fa82442
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
 Author: Guangchuang Yu [aut, cre],
   Alexey Stukalov [ctb],
+  Pingfan Guo [ctb],
   Chuanle Xiao [ctb],
   Lluís Revilla Sancho [ctb]

=== debian/changelog ===
r-bioc-gosemsim (2.20.0-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 14:43:04 +0100

r-bioc-gosemsim (2.18.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 20:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-bioc-annotationdbi,
                r-bioc-go.db,
                r-cran-rcpp
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim.git
 Homepage: https://bioconductor.org/packages/GOSemSim/

## r-bioc-gosemsim 2.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GOSemSim
 Type: Package
 Title: GO-terms Semantic Similarity Measures
-Version: 2.20.0
+Version: 2.22.0
 Authors@R: c( person(given = "Guangchuang", family = "Yu",             email = "guangchuangyu@gmail.com", role  = c("aut", "cre")),
               person(given = "Alexey",      family = "Stukalov",       email = "astukalov@gmail.com",     role  = "ctb"),
               person(given= "Pingfan",      family = "Guo",            email = "1178431277@qq.com",       role  = "ctb"),
@@ -26,14 +26,14 @@
 Encoding: UTF-8
 URL: https://yulab-smu.top/biomedical-knowledge-mining-book/
 BugReports: https://github.com/YuLab-SMU/GOSemSim/issues
-Packaged: 2021-10-26 21:33:50 UTC; biocbuild
+Packaged: 2022-04-26 20:47:34 UTC; biocbuild
 biocViews: Annotation, GO, Clustering, Pathways, Network, Software
-RoxygenNote: 7.1.1.9000
+RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/GOSemSim
-git_branch: RELEASE_3_14
-git_last_commit: fa82442
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: fd74aeb
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
 Author: Guangchuang Yu [aut, cre],
   Alexey Stukalov [ctb],

=== debian/changelog ===
r-bioc-gosemsim (2.22.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.22.0
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 May 2022 10:32:14 +0530

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-bioc-annotationdbi,
                r-bioc-go.db,
                r-cran-rcpp
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim.git
 Homepage: https://bioconductor.org/packages/GOSemSim/

## r-bioc-gosemsim 2.24.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GOSemSim
 Type: Package
 Title: GO-terms Semantic Similarity Measures
-Version: 2.22.0
+Version: 2.24.0
 Authors@R: c( person(given = "Guangchuang", family = "Yu",             email = "guangchuangyu@gmail.com", role  = c("aut", "cre")),
               person(given = "Alexey",      family = "Stukalov",       email = "astukalov@gmail.com",     role  = "ctb"),
               person(given= "Pingfan",      family = "Guo",            email = "1178431277@qq.com",       role  = "ctb"),
@@ -26,14 +26,14 @@
 Encoding: UTF-8
 URL: https://yulab-smu.top/biomedical-knowledge-mining-book/
 BugReports: https://github.com/YuLab-SMU/GOSemSim/issues
-Packaged: 2022-04-26 20:47:34 UTC; biocbuild
+Packaged: 2022-11-01 21:39:59 UTC; biocbuild
 biocViews: Annotation, GO, Clustering, Pathways, Network, Software
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 git_url: https://git.bioconductor.org/packages/GOSemSim
-git_branch: RELEASE_3_15
-git_last_commit: fd74aeb
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: ed7334f
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes
 Author: Guangchuang Yu [aut, cre],
   Alexey Stukalov [ctb],

=== debian/changelog ===
r-bioc-gosemsim (2.24.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 16:26:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-bioc-gosemsim
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim.git
+Homepage: https://bioconductor.org/packages/GOSemSim/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-annotationdbi,
                r-bioc-go.db,
                r-cran-rcpp
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim.git
-Homepage: https://bioconductor.org/packages/GOSemSim/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-gosemsim
 Architecture: any

## r-bioc-gosemsim 2.26.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GOSemSim
 Type: Package
 Title: GO-terms Semantic Similarity Measures
-Version: 2.24.0
+Version: 2.26.1
 Authors@R: c( person(given = "Guangchuang", family = "Yu",             email = "guangchuangyu@gmail.com", role  = c("aut", "cre")),
               person(given = "Alexey",      family = "Stukalov",       email = "astukalov@gmail.com",     role  = "ctb"),
               person(given= "Pingfan",      family = "Guo",            email = "1178431277@qq.com",       role  = "ctb"),
@@ -19,21 +19,22 @@
 LinkingTo: Rcpp
 Imports: AnnotationDbi, GO.db, methods, utils
 Suggests: AnnotationHub, BiocManager, clusterProfiler, DOSE, knitr,
-        rmarkdown, org.Hs.eg.db, prettydoc, testthat, ROCR
+        rmarkdown, org.Hs.eg.db, prettydoc, testthat, tidyr,
+        tidyselect, ROCR
 VignetteBuilder: knitr
 ByteCompile: true
 License: Artistic-2.0
 Encoding: UTF-8
 URL: https://yulab-smu.top/biomedical-knowledge-mining-book/
 BugReports: https://github.com/YuLab-SMU/GOSemSim/issues
-Packaged: 2022-11-01 21:39:59 UTC; biocbuild
+Packaged: 2023-07-10 20:52:15 UTC; biocbuild
 biocViews: Annotation, GO, Clustering, Pathways, Network, Software
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/GOSemSim
-git_branch: RELEASE_3_16
-git_last_commit: ed7334f
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: d8b03de
+git_last_commit_date: 2023-07-10
+Date/Publication: 2023-07-10
 NeedsCompilation: yes
 Author: Guangchuang Yu [aut, cre],
   Alexey Stukalov [ctb],

=== debian/changelog ===
r-bioc-gosemsim (2.26.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 22:34:49 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim.git
 Homepage: https://bioconductor.org/packages/GOSemSim/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-gosemsim 2.28.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GOSemSim
 Type: Package
 Title: GO-terms Semantic Similarity Measures
-Version: 2.26.1
+Version: 2.28.1
 Authors@R: c( person(given = "Guangchuang", family = "Yu",             email = "guangchuangyu@gmail.com", role  = c("aut", "cre")),
               person(given = "Alexey",      family = "Stukalov",       email = "astukalov@gmail.com",     role  = "ctb"),
               person(given= "Pingfan",      family = "Guo",            email = "1178431277@qq.com",       role  = "ctb"),
@@ -17,9 +17,10 @@
     methods proposed by Resnik, Schlicker, Jiang, Lin and Wang respectively.
 Depends: R (>= 3.5.0)
 LinkingTo: Rcpp
-Imports: AnnotationDbi, GO.db, methods, utils
+Imports: AnnotationDbi, GO.db, methods, rlang, stats, utils,
+        yulab.utils
 Suggests: AnnotationHub, BiocManager, clusterProfiler, DOSE, knitr,
-        rmarkdown, org.Hs.eg.db, prettydoc, testthat, tidyr,
+        readr, rmarkdown, org.Hs.eg.db, prettydoc, testthat, tidyr,
         tidyselect, ROCR
 VignetteBuilder: knitr
 ByteCompile: true
@@ -27,14 +28,15 @@
 Encoding: UTF-8
 URL: https://yulab-smu.top/biomedical-knowledge-mining-book/
 BugReports: https://github.com/YuLab-SMU/GOSemSim/issues
-Packaged: 2023-07-10 20:52:15 UTC; biocbuild
+Packaged: 2024-01-17 22:19:09 UTC; biocbuild
 biocViews: Annotation, GO, Clustering, Pathways, Network, Software
 RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/GOSemSim
-git_branch: RELEASE_3_17
-git_last_commit: d8b03de
-git_last_commit_date: 2023-07-10
-Date/Publication: 2023-07-10
+git_branch: RELEASE_3_18
+git_last_commit: 84618af
+git_last_commit_date: 2024-01-16
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-17
 NeedsCompilation: yes
 Author: Guangchuang Yu [aut, cre],
   Alexey Stukalov [ctb],

=== debian/changelog ===
r-bioc-gosemsim (2.28.1-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 07 Feb 2024 08:26:31 +0100

r-bioc-gosemsim (2.28.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 14:37:15 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,9 @@
                r-base-dev,
                r-bioc-annotationdbi,
                r-bioc-go.db,
-               r-cran-rcpp
+               r-cran-rlang,
+               r-cran-rcpp,
+               r-cran-yulab.utils
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-gosemsim

## r-bioc-gosemsim 2.30.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GOSemSim
 Type: Package
 Title: GO-terms Semantic Similarity Measures
-Version: 2.28.1
+Version: 2.30.2
 Authors@R: c( person(given = "Guangchuang", family = "Yu",             email = "guangchuangyu@gmail.com", role  = c("aut", "cre")),
               person(given = "Alexey",      family = "Stukalov",       email = "astukalov@gmail.com",     role  = "ctb"),
               person(given= "Pingfan",      family = "Guo",            email = "1178431277@qq.com",       role  = "ctb"),
@@ -17,26 +17,26 @@
     methods proposed by Resnik, Schlicker, Jiang, Lin and Wang respectively.
 Depends: R (>= 3.5.0)
 LinkingTo: Rcpp
-Imports: AnnotationDbi, GO.db, methods, rlang, stats, utils,
-        yulab.utils
+Imports: AnnotationDbi, DBI, digest, GO.db, httr2, methods, rlang,
+        R.utils, stats, utils, yulab.utils
 Suggests: AnnotationHub, BiocManager, clusterProfiler, DOSE, knitr,
-        readr, rmarkdown, org.Hs.eg.db, prettydoc, testthat, tidyr,
-        tidyselect, ROCR
+        org.Hs.eg.db, prettydoc, rappdirs, readr, rmarkdown, testthat,
+        tidyr, tidyselect, ROCR
 VignetteBuilder: knitr
 ByteCompile: true
 License: Artistic-2.0
 Encoding: UTF-8
 URL: https://yulab-smu.top/biomedical-knowledge-mining-book/
 BugReports: https://github.com/YuLab-SMU/GOSemSim/issues
-Packaged: 2024-01-17 22:19:09 UTC; biocbuild
+Packaged: 2024-08-21 22:19:18 UTC; biocbuild
 biocViews: Annotation, GO, Clustering, Pathways, Network, Software
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 git_url: https://git.bioconductor.org/packages/GOSemSim
-git_branch: RELEASE_3_18
-git_last_commit: 84618af
-git_last_commit_date: 2024-01-16
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-17
+git_branch: RELEASE_3_19
+git_last_commit: 7614f28
+git_last_commit_date: 2024-08-21
+Repository: Bioconductor 3.19
+Date/Publication: 2024-08-21
 NeedsCompilation: yes
 Author: Guangchuang Yu [aut, cre],
   Alexey Stukalov [ctb],

=== debian/changelog ===
r-bioc-gosemsim (2.30.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 05 Sep 2024 09:38:35 +0200

r-bioc-gosemsim (2.30.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:26:31 +0200

r-bioc-gosemsim (2.30.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 16:34:13 +0200

r-bioc-gosemsim (2.30.0-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 17:07:38 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,15 @@
                dh-r,
                r-base-dev,
                r-bioc-annotationdbi,
+               r-cran-dbi,
+               r-cran-digest,
                r-bioc-go.db,
+               r-cran-httr2,
                r-cran-rlang,
+               r-cran-r.utils,
+               r-cran-yulab.utils,
                r-cran-rcpp,
-               r-cran-yulab.utils
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-gosemsim

## r-bioc-gosemsim 2.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: GOSemSim
 Type: Package
 Title: GO-terms Semantic Similarity Measures
-Version: 2.30.2
+Version: 2.32.0
 Authors@R: c( person(given = "Guangchuang", family = "Yu",             email = "guangchuangyu@gmail.com", role  = c("aut", "cre")),
               person(given = "Alexey",      family = "Stukalov",       email = "astukalov@gmail.com",     role  = "ctb"),
               person(given= "Pingfan",      family = "Guo",            email = "1178431277@qq.com",       role  = "ctb"),
@@ -17,8 +17,8 @@
     methods proposed by Resnik, Schlicker, Jiang, Lin and Wang respectively.
 Depends: R (>= 3.5.0)
 LinkingTo: Rcpp
-Imports: AnnotationDbi, DBI, digest, GO.db, httr2, methods, rlang,
-        R.utils, stats, utils, yulab.utils
+Imports: AnnotationDbi, DBI, digest, GO.db, methods, rlang, R.utils,
+        stats, utils, yulab.utils (>= 0.1.6)
 Suggests: AnnotationHub, BiocManager, clusterProfiler, DOSE, knitr,
         org.Hs.eg.db, prettydoc, rappdirs, readr, rmarkdown, testthat,
         tidyr, tidyselect, ROCR
@@ -28,15 +28,15 @@
 Encoding: UTF-8
 URL: https://yulab-smu.top/biomedical-knowledge-mining-book/
 BugReports: https://github.com/YuLab-SMU/GOSemSim/issues
-Packaged: 2024-08-21 22:19:18 UTC; biocbuild
+Packaged: 2024-10-30 00:58:09 UTC; biocbuild
 biocViews: Annotation, GO, Clustering, Pathways, Network, Software
 RoxygenNote: 7.3.2
 git_url: https://git.bioconductor.org/packages/GOSemSim
-git_branch: RELEASE_3_19
-git_last_commit: 7614f28
-git_last_commit_date: 2024-08-21
-Repository: Bioconductor 3.19
-Date/Publication: 2024-08-21
+git_branch: RELEASE_3_20
+git_last_commit: 1b53196
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
 Author: Guangchuang Yu [aut, cre],
   Alexey Stukalov [ctb],

=== debian/changelog ===
r-bioc-gosemsim (2.32.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 14:54:25 +0100

r-bioc-gosemsim (2.32.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 11:41:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,9 @@
 Source: r-bioc-gosemsim
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim.git
-Homepage: https://bioconductor.org/packages/GOSemSim/
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -15,13 +11,16 @@
                r-cran-dbi,
                r-cran-digest,
                r-bioc-go.db,
-               r-cran-httr2,
                r-cran-rlang,
                r-cran-r.utils,
                r-cran-yulab.utils,
                r-cran-rcpp,
                architecture-is-64-bit
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-gosemsim.git
+Homepage: https://bioconductor.org/packages/GOSemSim/
+Rules-Requires-Root: no
 
 Package: r-bioc-gosemsim
 Architecture: any

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/GOSemSim.html .*/GOSemSim_(.*).tar.gz
